package org.apache.xindice.client.corba.db;

//
// Helper class for : Buffer
//
// @author OpenORB Compiler
//
public class BufferHelper
{
	private static final boolean HAS_OPENORB;
	static {
		boolean hasOpenORB = false;
		try {
			Class.forName("org.openorb.CORBA.Any");
			hasOpenORB = true;
		}
		catch(ClassNotFoundException ex) {
		}
		HAS_OPENORB = hasOpenORB;
	}
	//
	// Insert Buffer into an any
	// @param	a an any
	// @param	t Buffer value
	//
	public static void insert( org.omg.CORBA.Any a, byte[] t )
	{
		a.insert_Streamable( new org.apache.xindice.client.corba.db.BufferHolder( t ));
	}

	//
	// Extract Buffer from an any
	// @param	a an any
	// @return the extracted Buffer value
	//
	public static byte[] extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		if(HAS_OPENORB && a instanceof org.openorb.CORBA.Any) {
			// streamable extraction. The jdk stubs incorrectly define the Any stub
			org.openorb.CORBA.Any any = (org.openorb.CORBA.Any)a;
			try {
				org.omg.CORBA.portable.Streamable s = any.extract_Streamable();
				if(s instanceof org.apache.xindice.client.corba.db.BufferHolder)
					return ((org.apache.xindice.client.corba.db.BufferHolder)s).value;
			}
			catch ( org.omg.CORBA.BAD_INV_ORDER ex ) {}
			org.apache.xindice.client.corba.db.BufferHolder h = new org.apache.xindice.client.corba.db.BufferHolder(read(a.create_input_stream()));
			a.insert_Streamable(h);
			return h.value;
		}
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the Buffer TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_alias_tc(id(),"Buffer",orb.create_sequence_tc(0,orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_octet)));
		}
		return _tc;
	}

	//
	// Return the Buffer IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:org/apache/xindice/client/corba/db/Buffer:1.0";

	//
	// Read Buffer from a marshalled stream
	// @param	istream the input stream
	// @return the readed Buffer value
	//
	public static byte[] read( org.omg.CORBA.portable.InputStream istream )
	{
		byte[] new_one;
		{
		int size1 = istream.read_ulong();
		new_one = new byte[size1];
		istream.read_octet_array(new_one, 0, new_one.length);
		}

		return new_one;
	}

	//
	// Write Buffer into a marshalled stream
	// @param	ostream the output stream
	// @param	value Buffer value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, byte[] value )
	{
		ostream.write_ulong(value.length);
		ostream.write_octet_array(value, 0,value.length);
	}

}
