package org.apache.xindice.client.corba.db;

//
// Interface definition : Collection
//
// @author OpenORB Compiler
//
public class CollectionPOATie extends CollectionPOA
{

	//
	// Private reference to implementation object
	//
	private CollectionOperations _tie;

	//
	// Private reference to POA
	//
	private org.omg.PortableServer.POA _poa;

	//
	// Constructor
	//
	public CollectionPOATie( CollectionOperations tieObject )
	{
		_tie = tieObject;
	}

	//
	// Constructor
	//
	public CollectionPOATie( CollectionOperations tieObject, org.omg.PortableServer.POA poa )
	{
		_tie = tieObject;
		_poa = poa;
	}

	//
	// Get the delegate
	//
	public CollectionOperations _delegate()
	{
		return _tie;
	}

	//
	// Set the delegate
	//
	public void _delegate( CollectionOperations delegate_)
	{
		_tie = delegate_;
	}

	//
	//
	//
	public org.omg.PortableServer.POA _default_POA()
	{
		if ( _poa != null )
		    return _poa;
		else
		    return super._default_POA();
	}

	//
	// Operation getName
	//
	public String getName()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getName();
	}

	//
	// Operation getCanonicalName
	//
	public String getCanonicalName()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getCanonicalName();
	}

	//
	// Operation getCollectionManager
	//
	public org.apache.xindice.client.corba.db.CollectionManager getCollectionManager()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getCollectionManager();
	}

	//
	// Operation getParentCollection
	//
	public org.apache.xindice.client.corba.db.Collection getParentCollection()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getParentCollection();
	}

	//
	// Operation listCollections
	//
	public String[] listCollections()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.listCollections();
	}

	//
	// Operation getCollection
	//
	public org.apache.xindice.client.corba.db.Collection getCollection(String path)
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getCollection( path);
	}

	//
	// Operation insertDocument
	//
	public String insertDocument(String nam, org.apache.xindice.client.corba.db.EncodedBuffer doc)
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.insertDocument( nam,  doc);
	}

	//
	// Operation removeDocument
	//
	public void removeDocument(String id)
		throws org.apache.xindice.client.corba.db.APIException
	{
		_tie.removeDocument( id);
	}

	//
	// Operation getDocument
	//
	public org.apache.xindice.client.corba.db.EncodedBuffer getDocument(String id, long stamp)
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getDocument( id,  stamp);
	}

	//
	// Operation setDocument
	//
	public void setDocument(String id, org.apache.xindice.client.corba.db.EncodedBuffer doc)
		throws org.apache.xindice.client.corba.db.APIException
	{
		_tie.setDocument( id,  doc);
	}

	//
	// Operation getDocuments
	//
	public org.apache.xindice.client.corba.db.DocumentSet getDocuments()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getDocuments();
	}

	//
	// Operation listDocuments
	//
	public String[] listDocuments()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.listDocuments();
	}

	//
	// Operation getDocumentCount
	//
	public int getDocumentCount()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.getDocumentCount();
	}

	//
	// Operation createNewOID
	//
	public String createNewOID()
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.createNewOID();
	}

	//
	// Operation queryCollection
	//
	public org.apache.xindice.client.corba.db.EncodedBuffer queryCollection(String style, String query, org.apache.xindice.client.corba.db.NamedVal[] namespaces, long stamp)
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.queryCollection( style,  query,  namespaces,  stamp);
	}

	//
	// Operation queryDocument
	//
	public org.apache.xindice.client.corba.db.EncodedBuffer queryDocument(String style, String query, org.apache.xindice.client.corba.db.NamedVal[] namespaces, String id, long stamp)
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.queryDocument( style,  query,  namespaces,  id,  stamp);
	}

	//
	// Operation invokeXMLObject
	//
	public org.apache.xindice.client.corba.db.EncodedBuffer invokeXMLObject(String uri)
		throws org.apache.xindice.client.corba.db.APIException
	{
		return _tie.invokeXMLObject( uri);
	}

	//
	// Operation remove
	//
	public void remove()
	{
		_tie.remove();
	}

}
